Bug 18869 - Patron clubs and templates tables look strange when empty
Summary: Patron clubs and templates tables look strange when empty
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 19215
  Show dependency treegraph
 
Reported: 2017-06-27 22:02 UTC by Aleisha Amohia
Modified: 2017-09-29 13:52 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Patron clubs interface showing tables (21.31 KB, image/png)
2017-06-27 22:02 UTC, Aleisha Amohia
Details
Bug 18869: Fixing display of patron clubs tables (11.85 KB, patch)
2017-06-28 02:34 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18869: [FOLLOW-UP] Make page reload after club or template delete (4.47 KB, patch)
2017-07-09 22:00 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18869: [FOLLOW-UP] Show enrollments as disabled link (1.53 KB, patch)
2017-07-10 03:40 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18869: Fixing display of patron clubs tables (11.92 KB, patch)
2017-08-03 02:26 UTC, M. Tompsett
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18869: [FOLLOW-UP] Make page reload after club or template delete (4.54 KB, patch)
2017-08-03 02:26 UTC, M. Tompsett
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18869: [FOLLOW-UP] Show enrollments as disabled link (1.60 KB, patch)
2017-08-03 02:26 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18869: Fixing display of patron clubs tables (11.98 KB, patch)
2017-08-30 19:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18869: [FOLLOW-UP] Make page reload after club or template delete (4.60 KB, patch)
2017-08-30 19:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18869: [FOLLOW-UP] Show enrollments as disabled link (1.66 KB, patch)
2017-08-30 19:48 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-06-27 22:02:17 UTC
Created attachment 64684 [details]
Patron clubs interface showing tables

The tables for patron clubs and club templates should not show at all if they are empty. Also the clubs table is slightly broken. See screenshot.
Comment 1 Aleisha Amohia 2017-06-28 02:34:03 UTC
Created attachment 64687 [details] [review]
Bug 18869: Fixing display of patron clubs tables

This patch
1) Hides the club templates table if there are no club templates, shows
an appropriate message
2) Hides the clubs table if there are no clubs. Shows an appropriate
message for whether templates exist
3) Puts the actions in one column, or a dropdown menu

Sponsored-by: Catalyst IT
Comment 2 M. Tompsett 2017-06-29 16:12:52 UTC
It looks good.

REPRODUCE OUTPUT QUESTION:
Add a template
Add a club
Delete a club

Just quick question. If there are no templates or clubs, should it not revert to this new style of nothing? Or is this okay?

If it is okay, then I'll sign off. If it should revert to the initial nothing style, then this needs a tweak.
Comment 3 Aleisha Amohia 2017-07-09 22:00:42 UTC
Created attachment 64936 [details] [review]
Bug 18869: [FOLLOW-UP] Make page reload after club or template delete

If deleting the last club or template in a table, the row is deleted
from the webpage by ajax so the nice blue bubble message does not show.
This patch forces the page to reload so the blue bubble message shows
instead of the empty table.

To test:
Confirm that the blue message shows when tables are empty. Add a
template and a club, then delete a club. Confirm the page reloads and
the message shows. Test with template

Sponsored-by: Catalyst IT
Comment 4 Aleisha Amohia 2017-07-10 03:40:11 UTC
Created attachment 64946 [details] [review]
Bug 18869: [FOLLOW-UP] Show enrollments as disabled link

if club has no enrolled patrons
Comment 5 M. Tompsett 2017-08-03 02:26:48 UTC
Created attachment 65443 [details] [review]
[SIGNED-OFF] Bug 18869: Fixing display of patron clubs tables

This patch
1) Hides the club templates table if there are no club templates, shows
an appropriate message
2) Hides the clubs table if there are no clubs. Shows an appropriate
message for whether templates exist
3) Puts the actions in one column, or a dropdown menu

Sponsored-by: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 6 M. Tompsett 2017-08-03 02:26:51 UTC
Created attachment 65444 [details] [review]
[SIGNED-OFF] Bug 18869: [FOLLOW-UP] Make page reload after club or template delete

If deleting the last club or template in a table, the row is deleted
from the webpage by ajax so the nice blue bubble message does not show.
This patch forces the page to reload so the blue bubble message shows
instead of the empty table.

To test:
Confirm that the blue message shows when tables are empty. Add a
template and a club, then delete a club. Confirm the page reloads and
the message shows. Test with template

Sponsored-by: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 7 M. Tompsett 2017-08-03 02:26:53 UTC
Created attachment 65445 [details] [review]
[SIGNED-OFF] Bug 18869: [FOLLOW-UP] Show enrollments as disabled link

if club has no enrolled patrons

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 8 M. Tompsett 2017-08-03 02:28:47 UTC
I figured I wouldn't let it languish.
Comment 9 Jonathan Druart 2017-08-30 19:48:44 UTC
Created attachment 66650 [details] [review]
Bug 18869: Fixing display of patron clubs tables

This patch
1) Hides the club templates table if there are no club templates, shows
an appropriate message
2) Hides the clubs table if there are no clubs. Shows an appropriate
message for whether templates exist
3) Puts the actions in one column, or a dropdown menu

Sponsored-by: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2017-08-30 19:48:47 UTC
Created attachment 66651 [details] [review]
Bug 18869: [FOLLOW-UP] Make page reload after club or template delete

If deleting the last club or template in a table, the row is deleted
from the webpage by ajax so the nice blue bubble message does not show.
This patch forces the page to reload so the blue bubble message shows
instead of the empty table.

To test:
Confirm that the blue message shows when tables are empty. Add a
template and a club, then delete a club. Confirm the page reloads and
the message shows. Test with template

Sponsored-by: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Jonathan Druart 2017-08-30 19:48:51 UTC
Created attachment 66652 [details] [review]
Bug 18869: [FOLLOW-UP] Show enrollments as disabled link

if club has no enrolled patrons

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Jonathan Druart 2017-08-30 20:01:43 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 13 Fridolin SOMERS 2017-09-29 13:52:55 UTC
Enhancement not pushed to 17.05.x